Update member role
curl --request PATCH \
--url https://api.scrip.dev/v1/groups/{id}/members/{participantId} \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"role": "ADMIN",
"on_behalf_of_participant_id": "550e8400-e29b-41d4-a716-446655440001"
}
'import requests
url = "https://api.scrip.dev/v1/groups/{id}/members/{participantId}"
payload = {
"role": "ADMIN",
"on_behalf_of_participant_id": "550e8400-e29b-41d4-a716-446655440001"
}
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
role: 'ADMIN',
on_behalf_of_participant_id: '550e8400-e29b-41d4-a716-446655440001'
})
};
fetch('https://api.scrip.dev/v1/groups/{id}/members/{participantId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "Member role updated",
"participant_id": "550e8400-e29b-41d4-a716-446655440000",
"role": "ADMIN"
}{
"code": "bad_request",
"details": {
"expected": "uuid",
"field": "asset_id",
"fields": [
{
"expected": "<unknown>",
"field": "amount",
"message": "This field is required",
"reason": "required",
"received": "-10.00"
}
],
"reason": "invalid",
"received": "not-a-uuid"
},
"message": "Invalid request parameters"
}{
"code": "unauthorized",
"details": {
"expected": "uuid",
"field": "asset_id",
"fields": [
{
"expected": "<unknown>",
"field": "amount",
"message": "This field is required",
"reason": "required",
"received": "-10.00"
}
],
"reason": "invalid",
"received": "not-a-uuid"
},
"message": "Missing or invalid credentials"
}{
"code": "not_found",
"details": {
"expected": "uuid",
"field": "asset_id",
"fields": [
{
"expected": "<unknown>",
"field": "amount",
"message": "This field is required",
"reason": "required",
"received": "-10.00"
}
],
"reason": "invalid",
"received": "not-a-uuid"
},
"message": "Resource not found"
}{
"code": "conflict",
"details": {
"expected": "uuid",
"field": "asset_id",
"fields": [
{
"expected": "<unknown>",
"field": "amount",
"message": "This field is required",
"reason": "required",
"received": "-10.00"
}
],
"reason": "invalid",
"received": "not-a-uuid"
},
"message": "Resource already exists or state conflict"
}{
"code": "unsupported_media_type",
"details": {
"expected": "uuid",
"field": "asset_id",
"fields": [
{
"expected": "<unknown>",
"field": "amount",
"message": "This field is required",
"reason": "required",
"received": "-10.00"
}
],
"reason": "invalid",
"received": "not-a-uuid"
},
"message": "Content-Type must be application/json"
}{
"code": "internal_error",
"message": "An internal error occurred"
}Members
Update group member role
Updates a member’s role in a group.
PATCH
/
v1
/
groups
/
{id}
/
members
/
{participantId}
Update member role
Updates a member’s role within a group. Valid roles are
MEMBER and ADMIN. A group must always have at least one ADMIN. Attempting to demote the last admin returns an error.Authorizations
ApiKeyAuthBearerAuth
API key passed in the X-API-Key header.
Body
application/json
New role
⌘I